# Retrieve the versions and statuses of a taxonomy

Lists the versions and statuses of a specific taxonomy, in a specific branch.

Endpoint: GET /api/v2/cm/branches/{branchId}/taxonomies/{taxonomyId}/versions
Version: v2.0
Security: OAuth2.0

## Security:

  - `OAuth2.0` (unknown)
    oauth2

## Path parameters:

  - `branchId` (string, required)
    The ID of the branch, for example `prod`.

  - `taxonomyId` (string, required)
    The ID of the taxonomy, for example `color`.

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `versionsStatuses` (array)

  - `versionsStatuses.version` (integer)

  - `versionsStatuses.status` (string)
    Enum: "Draft", "Published", "Archived"

## Response 401:

  - `401` (unknown)
    Unauthorized request or invalid access token

## Response 401 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 403:

  - `403` (unknown)
    Request does not contain required scopes

## Response 403 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 404:

  - `404` (unknown)
    Item or entity not found

## Response 404 fields (application/json):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

## Response 500:

  - `500` (unknown)
    Server-side exception during request execution

